/* ====================================================================
 * Copyright (c) 2003-2006, Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _SC_SIMPLEPROMPTDIALOG_H
#define _SC_SIMPLEPROMPTDIALOG_H

// qt
#include <QtGui/QDialog>
class QLineEdit;
class QCheckBox;

class SimplePromptDialog : public QDialog
{
  typedef QDialog super;
  //Q_OBJECT 

public:
  SimplePromptDialog( const char* realm, const char* username, bool maySave, QWidget *parent = 0, const char *name=0 );
  virtual ~SimplePromptDialog();

  QString getUsername() const;
  QString getPassword() const;
  bool getSave() const;

private:
  QLineEdit* _user;
  QLineEdit* _pwd;
  QCheckBox* _save;
};

#endif // _SC_SIMPLEPROMPTDIALOG_H

